import React from "react";
import { Link } from "react-router-dom";
import AppBar from "@mui/material/AppBar";
import Toolbar from "@mui/material/Toolbar";
import Button from "@mui/material/Button";

// Header with settings button - if user is logged in, it redirects to
// settings page, otherwise login page
export default function LoginHeader() {
  return (
    <AppBar color="transparent">
      <Toolbar>
        <Button
          size="small"
          variant="contained"
          color="primary"
          component={Link}
          to="/settings"
        >
          Settings
        </Button>
      </Toolbar>
    </AppBar>
  );
}
